unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, MRVCamView, MRVType, MRVCamera;

type
  TPrincipal = class(TForm)
    RVCamera: TRVCamera;
    RVCamView: TRVCamView;
    cmbCameras: TComboBox;
    ckPreview: TCheckBox;
    procedure ckPreviewClick(Sender: TObject);
    procedure cmbCamerasChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Principal: TPrincipal;

implementation

uses
  CamList;

{$R *.dfm}

procedure TPrincipal.ckPreviewClick(Sender: TObject);
begin
  if ckPreview.Checked then begin
    RVCamera.PlayVideoStream;
  end
  else begin
    RVCamera.Abort;
    RVCamera.WaitForVideo
  end
end;

procedure TPrincipal.cmbCamerasChange(Sender: TObject);
var
  Checado : Boolean;
begin
  if ckPreview.Checked then begin
    Checado := True;
    ckPreview.Checked := False;
    ckPreviewClick(nil);
    Application.ProcessMessages;
  end
  else
    Checado := False;
  CamListLoader.Select(cmbCameras.ItemIndex, RVCamera,False);
  if Checado then begin
    ckPreview.Checked := True;
    ckPreviewClick(nil);
    Application.ProcessMessages;    
  end;
end;

procedure TPrincipal.FormShow(Sender: TObject);
begin
  CamListLoader.Load(cmbCameras.items);
  cmbCameras.ItemIndex := 0;
end;

end.
